# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "alpine-protocol-rs"
version = "2.0.17"
build = false
publish = [
    "crates-io",
    "github",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Authenticated Lighting Protocol (alpine): secure control-plane + streaming guard for lighting data."
readme = false
license = "Apache-2.0"

[lib]
name = "alpine"
crate-type = [
    "rlib",
    "staticlib",
]
path = "src/lib.rs"

[[test]]
name = "e2e"
path = "tests/e2e.rs"

[[test]]
name = "feature_suite"
path = "tests/feature_suite.rs"

[[bench]]
name = "alpine_streaming"
path = "benches/alpine_streaming.rs"
harness = false

[[bench]]
name = "artnet_streaming"
path = "benches/artnet_streaming.rs"
harness = false

[[bench]]
name = "sacn_streaming"
path = "benches/sacn_streaming.rs"
harness = false

[dependencies.async-trait]
version = "0.1"

[dependencies.chacha20poly1305]
version = "0.10"
features = ["alloc"]

[dependencies.ed25519-dalek]
version = "2.1"
features = ["pkcs8"]

[dependencies.hkdf]
version = "0.12"

[dependencies.parking_lot]
version = "0.12"

[dependencies.rand]
version = "0.8"

[dependencies.rand_core]
version = "0.6"

[dependencies.rustls-pemfile]
version = "2.1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_cbor]
version = "0.11"

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1.37"
features = [
    "net",
    "rt",
    "rt-multi-thread",
    "time",
    "macros",
]

[dependencies.tokio-util]
version = "0.7"
features = ["codec"]

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1.6"
features = [
    "serde",
    "v4",
]

[dependencies.x25519-dalek]
version = "2.0"
features = [
    "static_secrets",
    "getrandom",
]
default-features = false

[dev-dependencies.criterion]
version = "0.4"
